<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.hotent</groupId>
        <artifactId>eip</artifactId>
        <version>8.0.7</version>
    </parent>

    <artifactId>assistMg</artifactId>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <name>assistMg</name>
    <description>辅助管理模块</description>
    <dependencies>

        <!-- Spring boot 测试 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- 依赖 base 模块获取基础功能 -->
        <dependency>
            <groupId>com.hotent</groupId>
            <artifactId>base</artifactId>
            <version>${parent.version}</version>
        </dependency>

        <!--中台对接数据初始化依赖-->
        <dependency>
            <groupId>com.integration</groupId>
            <artifactId>oauth2-sdk</artifactId>
            <version>1.0</version>
        </dependency>

        <!-- 依赖 uc 模块获取用户信息 -->
        <dependency>
            <groupId>com.hotent</groupId>
            <artifactId>uc</artifactId>
            <version>${parent.version}</version>
        </dependency>
        <dependency>
            <groupId>com.belerweb</groupId>
            <artifactId>pinyin4j</artifactId>
            <version>2.5.1</version>
        </dependency>

        <dependency>
            <groupId>org.scijava</groupId>
            <artifactId>jep</artifactId>
            <version>2.4.2</version>
        </dependency>
        <dependency>
            <groupId>com.hotent</groupId>
            <artifactId>sys</artifactId>
            <version>8.0.7</version>
            <scope>compile</scope>
        </dependency>


    </dependencies>
    <!-- 用于生成jar文件-->
    <build>
        <finalName>assistMg</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
                <configuration>
                    <mainClass>com.hotent.assist.mg.Application</mainClass>
                    <layout>JAR</layout>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                        <configuration>
                            <attach>false</attach>
                            <classifier>boot</classifier>
                        </configuration>
                    </execution>
                </executions>
            </plugin>

        </plugins>
    </build>


</project>
